summaryrefslogtreecommitdiff
path: root/third-party/pjproject/apply_patches
diff options
context:
space:
mode:
authorGeorge Joseph <gjoseph@digium.com>2016-04-30 16:52:47 -0600
committerGeorge Joseph <gjoseph@digium.com>2016-05-03 07:56:18 -0500
commite61716b7740da5f87efedb7682a69b8ccf9d55c1 (patch)
tree9aef03173d75b4b534c62cd44f1c1999b48d96f2 /third-party/pjproject/apply_patches
parent9c4c4a7d0d54d6f35cf0185f2d927ea842d93ff8 (diff)
pjproject_bundled: Various fixes discovered during testing of OSes
For all OSes: * Disabled third-party codecs in pjproject and added '--disable-speex-codec --disable-speex-aec --disable-gsm-codec' to the configure options since we don't use the pjsip codec capability. FreeBSD: * Added FreeBSD support to install_prereq. * Changed pjproject/configure.m4 to use $GNU_MAKE instead of hardcoding "make". * Added __progname and environ to asterisk.exports.in. * Reverted the use of ldconfig to create shared library symlinks to ln. * Only enable epoll in pjproject if `uname -s` is Linux. * Added a patch to pjproject to take the name of the 'make' command from an environment variable if supplied. This is needed for the python bindings. (merged by Teluu into pjproject trunk 5/3/2016) FreeBSD support isn't complete. Still some general issues regarding make/gmake having nothing to do with pjproject. With some handholding it DOES build successfully. CentOS: Added 'patch' and 'bzip2' to install_prereq PACKAGES_RH. CentOS 6/7 32/64 build and run the pjsip testsuite successfully. Ubuntu: No changes required. Ubuntu 15/16 32/64 build and run the pjsip testsuite successfully. Debian: No changes required. Debian 6/7/8 32/64 build and run the pjsip testsuite successfully. There will utimately be a follow-up patch to create an install_prereq for the testsuite as I've discovered a few missing requirements. ASTERISK-25968 #close Change-Id: I5756a07facfc63798115a5e73a8709382fe9259c
Diffstat (limited to 'third-party/pjproject/apply_patches')
-rwxr-xr-xthird-party/pjproject/apply_patches4
1 files changed, 2 insertions, 2 deletions
diff --git a/third-party/pjproject/apply_patches b/third-party/pjproject/apply_patches
index 1b72d14b0..5dfdd2a3c 100755
--- a/third-party/pjproject/apply_patches
+++ b/third-party/pjproject/apply_patches
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
if [ "$1" = "-q" ] ; then
quiet=1
@@ -27,7 +27,7 @@ if [ ! "$(ls -A $patchdir/*.patch 2>/dev/null)" ] ; then
fi
for patchfile in $patchdir/*.patch ; do
- patch -d $sourcedir -p1 -s -r- -f -N --dry-run -i "$patchfile" || (echo "Patchfile $(basename $patchfile) failed to apply >&2" ; exit 1) || exit 1
+ patch -d $sourcedir -p1 -s -r- -f -N --dry-run -i "$patchfile" || (echo "Patchfile $(basename $patchfile) failed to apply" >&2 ; exit 1) || exit 1
done
for patchfile in "$patchdir"/*.patch ; do